> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beyondwords.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List webhooks

> Lists webhooks configured for a project.



## OpenAPI

````yaml get /projects/{project_id}/webhooks
openapi: 3.0.1
info:
  title: BeyondWords REST API
  description: |-
    This is the documentation for the BeyondWords REST API.
              You can use this API to use BeyondWords programmatically.
              You can get your API Key and Project ID for each project in the Project settings tab in the BeyondWords
              <a href="https://dash.beyondwords.io/dashboard">dashboard</a>.
  version: 1.0.0
servers:
  - url: https://api.beyondwords.io/v1
security: []
paths:
  /projects/{project_id}/webhooks:
    parameters:
      - name: project_id
        in: path
        description: The numeric ID of your project
        required: true
        schema:
          type: string
    get:
      tags:
        - Webhooks
      summary: List webhooks
      description: Lists webhooks configured for a project.
      operationId: projects/webhooks#index
      parameters:
        - name: pagination[limit]
          in: query
          required: false
          description: '''limit'' sets the number of results to return in each page.'
          schema:
            type: integer
        - name: pagination[offset]
          in: query
          required: false
          description: >-
            'offset' sets the first position to return from the results of the
            query. The default is 0, which starts the page at the first result.
          schema:
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              examples:
                example:
                  $ref: '#/components/examples/projectWebhooksExample'
              schema:
                $ref: '#/components/schemas/projectWebhooksModel'
        '401':
          description: Invalid authentication token
          content:
            application/json:
              examples:
                example:
                  $ref: '#/components/examples/unauthorizedErrorExample'
              schema:
                $ref: '#/components/schemas/errorModel'
      security:
        - apiKey: []
components:
  examples:
    projectWebhooksExample:
      summary: Sample list of webhooks response
      value:
        - id: 1
          url: https://example.com/
          enabled: true
          use_static_ip: true
          headers:
            Authorization: Bearer xxxxxx
            X-My-Custom-Header-Y: yyyyyy
            X-My-Custom-Header-Z: zzzzzz
          created: 2022-01-02 23:59:59 UTC
          updated: 2022-03-04 00:00:00 UTC
        - id: 2
          url: https://example.com/
          enabled: false
          use_static_ip: false
          headers:
            Authorization: Bearer xxxxxx
            X-My-Custom-Header-Y: yyyyyy
            X-My-Custom-Header-Z: zzzzzz
          created: 2022-01-02 23:59:59 UTC
          updated: 2022-03-04 00:00:00 UTC
    unauthorizedErrorExample:
      summary: Unauthorized error
      value:
        code: 401
        message: Unauthorized
  schemas:
    projectWebhooksModel:
      type: array
      items:
        $ref: '#/components/schemas/projectWebhookModel'
    errorModel:
      type: object
      properties:
        code:
          type: integer
          description: Error code
        message:
          type: string
          description: Error message
        errors:
          type: array
          nullable: true
          items:
            type: object
            properties:
              location:
                type: string
              message:
                type: string
    projectWebhookModel:
      type: object
      properties:
        id:
          type: integer
          description: Unique identifier for the object
        url:
          type: string
          description: >-
            The URL that BeyondWords will send webhook notifications to. This
            URL must be served over HTTPS
        headers:
          type: object
        enabled:
          type: boolean
          description: >-
            Whether or not the webhook is enabled or disabled Has the value true
            if enabled. The default is true.
        use_static_ip:
          type: boolean
          description: Whether requests to URL should originate from a static IP address.
        created:
          type: string
          format: date-time
          description: Time at which the object was created (ISO 8601)
        updated:
          type: string
          format: date-time
          description: Time at which the object was updated (ISO 8601)
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-Api-Key
      in: header

````